@charset "utf8";

@font-face {
    font-family: "binance";
    src: url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.eot");
    src: url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.eot?#iefix")format("embedded-opentype"),
    url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.woff2")format("woff2"),
    url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.woff")format("woff"),
    url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.ttf")format("truetype"),
    url("https://db.onlinewebfonts.com/t/d05c19ccecf7003d248c60ffd6b5e8f7.svg#Binance PLEX")format("svg");
}

:root{
    --green: #0ECB81;
    --yellow: #FCD535;
    --yellow2: #f0b90b;
    --gray-text: #848e9c;
}

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body{
    background-color: #202630;
    color: #f3f3f3;
    font-family: binance;
}

p{
    margin: 4px;
    padding: 0px;
}

nav{
    display: grid;
    grid-template-columns: auto 1fr auto;
    justify-content: space-between;
    padding: 8px;
    margin-top: 16px;
}

nav>div{
    text-align: center;
}

svg{
    height: 20px;
}

main{
    margin: 0px auto;
    height: 120vh;
}

header{
    text-align: center;
    margin-top: 48px;
}

header .success-text{
    color: var(--green);
    font-size: 16px;
    display: flex;
    gap: 4px;
    align-items: center;
    justify-content: center;
    margin: 8px auto;
}

header svg{
    height: 16px;
}

header .description-h{
    font-size: 13.5px;
    margin: 0px 24px;
    line-height: 20px;
    font-weight: 400;
    color: var(--gray-text);
}

.header-link{
    color: var(--yellow);
}

hr{
    margin: 24px auto;
    border: .5px solid #2B3139;
}

#body{
    font-size: 14px;
    max-width: 100%;
    font-weight: 400;
    padding: 0px 8px;
    margin-top: 8px;
}

#body>div{
    display: grid;
    grid-template-columns: 2fr 3fr;
    overflow-wrap: anywhere;
    margin: 24px 4px;
}

.val, .key{
    height: fit-content;
}

.key{
    color: var(--gray-text);
}

.val{
    text-align: right;
}

.val.copy{
    display: grid;
    grid-template-columns: 1fr 24px;
    gap: 8px;
}

.wallet-address{
    text-decoration: line-through double lightblue 8px;
}

.val.copy p{
    margin: 0;
}

.val.copy div{
    color: #5E6673;
    display: flex;
    align-items: start;
    height: 100%;
}

.val.copy .tid-copy{
    align-items: center;
}

.val.copy svg{
    height: 18px;
}

.tid{
    text-decoration: underline;
}

.val button{
    border: none;
    border-radius: 4px;
    background-color: #fcd43517;
    color: var(--yellow2);
    padding: 4px;
    font-weight: bold;
}

#foot{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    margin: 8px 16px;
}

#foot button{
    background-color: #39414c;
    padding: 14px;
    color: #eaecef;
    font-size: 16px;
    border: none;
    border-radius: 8px;
}